<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcProperties Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcProperties" --><!-- doxytag: inherits="iBase" -->
<p>This is a general property class.  
 <a href="structiPcProperties.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="prop_8h_source.html">propclass/prop.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcProperties:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcProperties.png" usemap="#iPcProperties_map" alt=""/>
  <map id="iPcProperties_map" name="iPcProperties_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,88,24"/>
</map>
 </div></div>

<p><a href="structiPcProperties-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#add41b7265ee4632801070561e2722829">AddPropertyListener</a> (<a class="el" href="structiPcPropertyListener.html">iPcPropertyListener</a> *listener)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a property listener.  <a href="#add41b7265ee4632801070561e2722829"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a8e1c16147721ff4ba18828214a97cc7b">Clear</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all properties.  <a href="#a8e1c16147721ff4ba18828214a97cc7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a13795aff289381a4464f6901251ba616">ClearProperty</a> (size_t index)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear a property.  <a href="#a13795aff289381a4464f6901251ba616"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a51ac287481e32d3548d9e15bb1db365b">Dump</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Debug dump information.  <a href="#a51ac287481e32d3548d9e15bb1db365b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a0980dcee69ea6b1a1032f5e8ee0eece3">GetPropertyBool</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as bool.  <a href="#a0980dcee69ea6b1a1032f5e8ee0eece3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ace975754855ec0654be554975b6bf7c8">GetPropertyColor</a> (size_t index, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;v) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as bool.  <a href="#ace975754855ec0654be554975b6bf7c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a381c130dcbcd7e5db4297c98c6f16994">GetPropertyCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of properties defined in this property class.  <a href="#a381c130dcbcd7e5db4297c98c6f16994"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a79e07361ca6f0494b98cf509ce95e6f8">GetPropertyEntity</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as entity.  <a href="#a79e07361ca6f0494b98cf509ce95e6f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a74409a5d1e272e5f5d9c03e18e36fdf7">GetPropertyFloat</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as float.  <a href="#a74409a5d1e272e5f5d9c03e18e36fdf7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#af77e8b6205bed1b6144ead1c38ae1f54">GetPropertyIBase</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>.  <a href="#af77e8b6205bed1b6144ead1c38ae1f54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a55182abadc8cdc7180de035d71cd34b9">GetPropertyIndex</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified property index for a named property.  <a href="#a55182abadc8cdc7180de035d71cd34b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a7c1927b9b17ba5cc21c1735e4bfc7268">GetPropertyLong</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as long.  <a href="#a7c1927b9b17ba5cc21c1735e4bfc7268"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ab738190ce6f08b4905f6416e1ca30349">GetPropertyName</a> (size_t idx) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the specified property name.  <a href="#ab738190ce6f08b4905f6416e1ca30349"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a9affec80c80338bfbd5046fddde7cdfd">GetPropertyPClass</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as property class.  <a href="#a9affec80c80338bfbd5046fddde7cdfd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a4e2140a7129a39c7e30807b3a500090d">GetPropertyString</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as string.  <a href="#a4e2140a7129a39c7e30807b3a500090d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual celDataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a3f7c7dc85deeb47386d6b79a1d524ef1">GetPropertyType</a> (size_t index) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of a property.  <a href="#a3f7c7dc85deeb47386d6b79a1d524ef1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#aae351fe655cbf51c8267b63135c06c4d">GetPropertyVector</a> (size_t index, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;v) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as bool.  <a href="#aae351fe655cbf51c8267b63135c06c4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a57627a59079a7e601937d21de538f798">GetPropertyVector</a> (size_t index, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;v) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property as bool.  <a href="#a57627a59079a7e601937d21de538f798"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#abd4d2cb005683879f1024463b137c0e6">RemovePropertyListener</a> (<a class="el" href="structiPcPropertyListener.html">iPcPropertyListener</a> *listener)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a property listener.  <a href="#abd4d2cb005683879f1024463b137c0e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">SetProperty</a> (const char *name, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#a13ab383b06d4a3d67fa5d0070dc63735"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ad03ebdb80bca58417a66fcec6fd4b819">SetProperty</a> (const char *name, long value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#ad03ebdb80bca58417a66fcec6fd4b819"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a812fdd14b546fd1bdad652d3ebd42e5a">SetProperty</a> (const char *name, bool value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#a812fdd14b546fd1bdad652d3ebd42e5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a5a37e8f10ffb9f8368752cb9c80c9c8a">SetProperty</a> (const char *name, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#a5a37e8f10ffb9f8368752cb9c80c9c8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ade4b82ac3832a62722a0bc1de5d66a5e">SetProperty</a> (const char *name, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#ade4b82ac3832a62722a0bc1de5d66a5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#afc99f1430d2bedcb925da2f77980b57b">SetProperty</a> (const char *name, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#afc99f1430d2bedcb925da2f77980b57b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a5e0683ba9868b0b504208224a11dd6a8">SetProperty</a> (const char *name, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#a5e0683ba9868b0b504208224a11dd6a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#adb71d2026f8f00119349875f793ada5c">SetProperty</a> (const char *name, <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *pclass)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#adb71d2026f8f00119349875f793ada5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ae82893037790c4ce034e4f434e02536c">SetProperty</a> (const char *name, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#ae82893037790c4ce034e4f434e02536c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a71f8565dd48715dcc461709c273dc4d0">SetProperty</a> (const char *name, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property.  <a href="#a71f8565dd48715dcc461709c273dc4d0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">SetPropertyIndex</a> (size_t index, float value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#ae9021b01423612ff906b4a4393e8ca17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#afbf00bb78bffa9e662ab2d836f284722">SetPropertyIndex</a> (size_t index, long value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#afbf00bb78bffa9e662ab2d836f284722"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#abd3abb895d0c23347b9f12287b9b3083">SetPropertyIndex</a> (size_t index, bool value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#abd3abb895d0c23347b9f12287b9b3083"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a55eb78815f55a49a6d33fb13888059b5">SetPropertyIndex</a> (size_t index, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#a55eb78815f55a49a6d33fb13888059b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a81cdfffe60520926329f1c9d8abd02a9">SetPropertyIndex</a> (size_t index, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#a81cdfffe60520926329f1c9d8abd02a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#aef1252067ea9d9ac25f5fc0df8cc6521">SetPropertyIndex</a> (size_t index, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#aef1252067ea9d9ac25f5fc0df8cc6521"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a405352dda8bb83e8e168cd284491119d">SetPropertyIndex</a> (size_t index, const char *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#a405352dda8bb83e8e168cd284491119d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#aa2ca5caf3e264ce31c47360680c02ea7">SetPropertyIndex</a> (size_t index, <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *pc)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#aa2ca5caf3e264ce31c47360680c02ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#aea3b63b661216f4476ad819b0a61391a">SetPropertyIndex</a> (size_t index, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#aea3b63b661216f4476ad819b0a61391a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcProperties.html#a7c9b48a3f5d508172a4085515b0c2c35">SetPropertyIndex</a> (size_t index, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *value)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set property based on index.  <a href="#a7c9b48a3f5d508172a4085515b0c2c35"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a general property class. </p>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.properties.set' (old 'pcproperties_setproperty'): sets the property (index)</li>
<li>'cel.properties.clear' (old 'pcproperties_clearproperty'): clears the property (index)</li>
</ul>
<p>This property class supports the following actions (add prefix 'cel.properties.action.' if you want to access this action through a message):</p>
<ul>
<li>SetProperty: parameters 'name' (string) and 'value' (string/bool/float/long/vector). </li>
</ul>

<p>Definition at line <a class="el" href="prop_8h_source.html#l00059">59</a> of file <a class="el" href="prop_8h_source.html">prop.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="add41b7265ee4632801070561e2722829"></a><!-- doxytag: member="iPcProperties::AddPropertyListener" ref="add41b7265ee4632801070561e2722829" args="(iPcPropertyListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#add41b7265ee4632801070561e2722829">iPcProperties::AddPropertyListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcPropertyListener.html">iPcPropertyListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a property listener. </p>
<p>Property listeners are called right before the behaviour is called. </p>

</div>
</div>
<a class="anchor" id="a8e1c16147721ff4ba18828214a97cc7b"></a><!-- doxytag: member="iPcProperties::Clear" ref="a8e1c16147721ff4ba18828214a97cc7b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a8e1c16147721ff4ba18828214a97cc7b">iPcProperties::Clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear all properties. </p>

</div>
</div>
<a class="anchor" id="a13795aff289381a4464f6901251ba616"></a><!-- doxytag: member="iPcProperties::ClearProperty" ref="a13795aff289381a4464f6901251ba616" args="(size_t index)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13795aff289381a4464f6901251ba616">iPcProperties::ClearProperty</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear a property. </p>

</div>
</div>
<a class="anchor" id="a51ac287481e32d3548d9e15bb1db365b"></a><!-- doxytag: member="iPcProperties::Dump" ref="a51ac287481e32d3548d9e15bb1db365b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a51ac287481e32d3548d9e15bb1db365b">iPcProperties::Dump</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Debug dump information. </p>

</div>
</div>
<a class="anchor" id="a0980dcee69ea6b1a1032f5e8ee0eece3"></a><!-- doxytag: member="iPcProperties::GetPropertyBool" ref="a0980dcee69ea6b1a1032f5e8ee0eece3" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcProperties.html#a0980dcee69ea6b1a1032f5e8ee0eece3">iPcProperties::GetPropertyBool</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as bool. </p>
<p>Returns false if wrong type. </p>

</div>
</div>
<a class="anchor" id="ace975754855ec0654be554975b6bf7c8"></a><!-- doxytag: member="iPcProperties::GetPropertyColor" ref="ace975754855ec0654be554975b6bf7c8" args="(size_t index, csColor &amp;v) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcProperties.html#ace975754855ec0654be554975b6bf7c8">iPcProperties::GetPropertyColor</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as bool. </p>
<p>Returns false if wrong type. </p>

</div>
</div>
<a class="anchor" id="a381c130dcbcd7e5db4297c98c6f16994"></a><!-- doxytag: member="iPcProperties::GetPropertyCount" ref="a381c130dcbcd7e5db4297c98c6f16994" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiPcProperties.html#a381c130dcbcd7e5db4297c98c6f16994">iPcProperties::GetPropertyCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of properties defined in this property class. </p>

</div>
</div>
<a class="anchor" id="a79e07361ca6f0494b98cf509ce95e6f8"></a><!-- doxytag: member="iPcProperties::GetPropertyEntity" ref="a79e07361ca6f0494b98cf509ce95e6f8" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a>* <a class="el" href="structiPcProperties.html#a79e07361ca6f0494b98cf509ce95e6f8">iPcProperties::GetPropertyEntity</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as entity. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="a74409a5d1e272e5f5d9c03e18e36fdf7"></a><!-- doxytag: member="iPcProperties::GetPropertyFloat" ref="a74409a5d1e272e5f5d9c03e18e36fdf7" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcProperties.html#a74409a5d1e272e5f5d9c03e18e36fdf7">iPcProperties::GetPropertyFloat</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as float. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="af77e8b6205bed1b6144ead1c38ae1f54"></a><!-- doxytag: member="iPcProperties::GetPropertyIBase" ref="af77e8b6205bed1b6144ead1c38ae1f54" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>* <a class="el" href="structiPcProperties.html#af77e8b6205bed1b6144ead1c38ae1f54">iPcProperties::GetPropertyIBase</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="a55182abadc8cdc7180de035d71cd34b9"></a><!-- doxytag: member="iPcProperties::GetPropertyIndex" ref="a55182abadc8cdc7180de035d71cd34b9" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiPcProperties.html#a55182abadc8cdc7180de035d71cd34b9">iPcProperties::GetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified property index for a named property. </p>
<p>Returns csArrayItemNotFound if not found. </p>

</div>
</div>
<a class="anchor" id="a7c1927b9b17ba5cc21c1735e4bfc7268"></a><!-- doxytag: member="iPcProperties::GetPropertyLong" ref="a7c1927b9b17ba5cc21c1735e4bfc7268" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual long <a class="el" href="structiPcProperties.html#a7c1927b9b17ba5cc21c1735e4bfc7268">iPcProperties::GetPropertyLong</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as long. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="ab738190ce6f08b4905f6416e1ca30349"></a><!-- doxytag: member="iPcProperties::GetPropertyName" ref="ab738190ce6f08b4905f6416e1ca30349" args="(size_t idx) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcProperties.html#ab738190ce6f08b4905f6416e1ca30349">iPcProperties::GetPropertyName</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the specified property name. </p>

</div>
</div>
<a class="anchor" id="a9affec80c80338bfbd5046fddde7cdfd"></a><!-- doxytag: member="iPcProperties::GetPropertyPClass" ref="a9affec80c80338bfbd5046fddde7cdfd" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a>* <a class="el" href="structiPcProperties.html#a9affec80c80338bfbd5046fddde7cdfd">iPcProperties::GetPropertyPClass</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as property class. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="a4e2140a7129a39c7e30807b3a500090d"></a><!-- doxytag: member="iPcProperties::GetPropertyString" ref="a4e2140a7129a39c7e30807b3a500090d" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcProperties.html#a4e2140a7129a39c7e30807b3a500090d">iPcProperties::GetPropertyString</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as string. </p>
<p>Returns 0 if wrong type. </p>

</div>
</div>
<a class="anchor" id="a3f7c7dc85deeb47386d6b79a1d524ef1"></a><!-- doxytag: member="iPcProperties::GetPropertyType" ref="a3f7c7dc85deeb47386d6b79a1d524ef1" args="(size_t index) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual celDataType <a class="el" href="structiPcProperties.html#a3f7c7dc85deeb47386d6b79a1d524ef1">iPcProperties::GetPropertyType</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of a property. </p>
<p>Returns CEL_DATA_NONE if the property is undefined. Note that only the following data types are supported:</p>
<ul>
<li>CEL_DATA_LONG</li>
<li>CEL_DATA_FLOAT</li>
<li>CEL_DATA_BOOL</li>
<li>CEL_DATA_STRING</li>
<li>CEL_DATA_VECTOR2</li>
<li>CEL_DATA_VECTOR3</li>
<li>CEL_DATA_COLOR</li>
<li>CEL_DATA_PCLASS</li>
<li>CEL_DATA_ENTITY</li>
<li>CEL_DATA_IBASE </li>
</ul>

</div>
</div>
<a class="anchor" id="aae351fe655cbf51c8267b63135c06c4d"></a><!-- doxytag: member="iPcProperties::GetPropertyVector" ref="aae351fe655cbf51c8267b63135c06c4d" args="(size_t index, csVector2 &amp;v) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcProperties.html#aae351fe655cbf51c8267b63135c06c4d">iPcProperties::GetPropertyVector</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as bool. </p>
<p>Returns false if wrong type. </p>

</div>
</div>
<a class="anchor" id="a57627a59079a7e601937d21de538f798"></a><!-- doxytag: member="iPcProperties::GetPropertyVector" ref="a57627a59079a7e601937d21de538f798" args="(size_t index, csVector3 &amp;v) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcProperties.html#aae351fe655cbf51c8267b63135c06c4d">iPcProperties::GetPropertyVector</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get property as bool. </p>
<p>Returns false if wrong type. </p>

</div>
</div>
<a class="anchor" id="abd4d2cb005683879f1024463b137c0e6"></a><!-- doxytag: member="iPcProperties::RemovePropertyListener" ref="abd4d2cb005683879f1024463b137c0e6" args="(iPcPropertyListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#abd4d2cb005683879f1024463b137c0e6">iPcProperties::RemovePropertyListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcPropertyListener.html">iPcPropertyListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a property listener. </p>

</div>
</div>
<a class="anchor" id="a13ab383b06d4a3d67fa5d0070dc63735"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="a13ab383b06d4a3d67fa5d0070dc63735" args="(const char *name, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="ad03ebdb80bca58417a66fcec6fd4b819"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="ad03ebdb80bca58417a66fcec6fd4b819" args="(const char *name, long value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="a812fdd14b546fd1bdad652d3ebd42e5a"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="a812fdd14b546fd1bdad652d3ebd42e5a" args="(const char *name, bool value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="a5a37e8f10ffb9f8368752cb9c80c9c8a"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="a5a37e8f10ffb9f8368752cb9c80c9c8a" args="(const char *name, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="ade4b82ac3832a62722a0bc1de5d66a5e"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="ade4b82ac3832a62722a0bc1de5d66a5e" args="(const char *name, const csVector2 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="afc99f1430d2bedcb925da2f77980b57b"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="afc99f1430d2bedcb925da2f77980b57b" args="(const char *name, const csVector3 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="a5e0683ba9868b0b504208224a11dd6a8"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="a5e0683ba9868b0b504208224a11dd6a8" args="(const char *name, const csColor &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="adb71d2026f8f00119349875f793ada5c"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="adb71d2026f8f00119349875f793ada5c" args="(const char *name, iCelPropertyClass *pclass)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>pclass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="ae82893037790c4ce034e4f434e02536c"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="ae82893037790c4ce034e4f434e02536c" args="(const char *name, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="a71f8565dd48715dcc461709c273dc4d0"></a><!-- doxytag: member="iPcProperties::SetProperty" ref="a71f8565dd48715dcc461709c273dc4d0" args="(const char *name, iBase *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#a13ab383b06d4a3d67fa5d0070dc63735">iPcProperties::SetProperty</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property. </p>

</div>
</div>
<a class="anchor" id="ae9021b01423612ff906b4a4393e8ca17"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="ae9021b01423612ff906b4a4393e8ca17" args="(size_t index, float value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="afbf00bb78bffa9e662ab2d836f284722"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="afbf00bb78bffa9e662ab2d836f284722" args="(size_t index, long value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="abd3abb895d0c23347b9f12287b9b3083"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="abd3abb895d0c23347b9f12287b9b3083" args="(size_t index, bool value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="a55eb78815f55a49a6d33fb13888059b5"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="a55eb78815f55a49a6d33fb13888059b5" args="(size_t index, const csVector2 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector2.html">csVector2</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="a81cdfffe60520926329f1c9d8abd02a9"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="a81cdfffe60520926329f1c9d8abd02a9" args="(size_t index, const csVector3 &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="aef1252067ea9d9ac25f5fc0df8cc6521"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="aef1252067ea9d9ac25f5fc0df8cc6521" args="(size_t index, const csColor &amp;value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsColor.html">csColor</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="a405352dda8bb83e8e168cd284491119d"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="a405352dda8bb83e8e168cd284491119d" args="(size_t index, const char *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="aa2ca5caf3e264ce31c47360680c02ea7"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="aa2ca5caf3e264ce31c47360680c02ea7" args="(size_t index, iCelPropertyClass *pc)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelPropertyClass.html">iCelPropertyClass</a> *&#160;</td>
          <td class="paramname"><em>pc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="aea3b63b661216f4476ad819b0a61391a"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="aea3b63b661216f4476ad819b0a61391a" args="(size_t index, iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<a class="anchor" id="a7c9b48a3f5d508172a4085515b0c2c35"></a><!-- doxytag: member="iPcProperties::SetPropertyIndex" ref="a7c9b48a3f5d508172a4085515b0c2c35" args="(size_t index, iBase *value)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcProperties.html#ae9021b01423612ff906b4a4393e8ca17">iPcProperties::SetPropertyIndex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a> *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set property based on index. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="prop_8h_source.html">prop.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
